# Uses of Interface
java.lang.classfile.FieldBuilder

Packages that use FieldBuilder
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of FieldBuilder in java.lang.classfile

Subinterfaces with type arguments of type FieldBuilder in java.lang.classfile
Modifier and Type
Interface
Description
`interface`
`FieldBuilder`
A builder for fields.
`interface`
`FieldTransform`
A transformation on streams of `FieldElement`.
Methods in java.lang.classfile that return FieldBuilder
Modifier and Type
Method
Description
`default FieldBuilder`
FieldBuilder.`withFlags(int flags)`
Sets the field access flags.
`default FieldBuilder`
FieldBuilder.`withFlags(AccessFlag... flags)`
Sets the field access flags.
Method parameters in java.lang.classfile with type arguments of type FieldBuilder
Modifier and Type
Method
Description
`static FieldTransform`
FieldTransform.`endHandler(Consumer<FieldBuilder> finisher)`
Creates a field transform that passes each element through to the builder, and calls the specified function when transformation is complete.
`ClassBuilder`
ClassBuilder.`withField(Utf8Entry name, Utf8Entry descriptor, Consumer<? super FieldBuilder> handler)`
Adds a field.
`default ClassBuilder`
ClassBuilder.`withField(String name, ClassDesc descriptor, Consumer<? super FieldBuilder> handler)`
Adds a field.